---
title: Extend a list of domains in Cyber Shield Block List.
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/cyber-shield-domain-filtering/extend-a-list-of-domains-in-cyber-shield-block-list/
product: CloudConnexa Docs
---

# Extend a list of domains in Cyber Shield Block List.

`POST /api/v1/cybershield/block-list-add-domains`

An endpoint to add domains to the Cyber Shield Block List, with the option to include comments for each domain.

**Example Request:**

```
POST /api/v1/cybershield/block-list-add-domains
```

```json
{
    "domainAndComments": [
        { "domain": "sample.domain.com", "comment": "Added by CVE-YYYY-NNNN."}
    ]
}
```

This request adds or updates an entry in the Cyber Shield Block List for the domain `sample.domain.com`, including the comment `# Added by CVE-YYYY-NNNN`. - The latest entry overwrites duplicate entries. - Existing domains in the Block List are replaced with those provided in the request.

**Parameters:**

- `domainAndComments` (Type: List, Mandatory) - A list of domains and optional comments to add.
  - Maximum of 1,000 items.
- `domain` (Type: String, Mandatory) - The fully qualified domain name (FQDN) to be added.
  - Must be unique in the list.
  - The last occurrence of a domain in the list overwrites previous entries.
  - Combined length of the domain and comment must not exceed 150 characters.
- `comment` (Type: String, Optional) - Free-form text associated with the domain, added as a comment.
  - Used for additional details or notes.
  - Combined length of the `domain` and `comment` must not exceed 150 characters.

## Body parameter

```json
{
  "domainAndComments": [
    {
      "domain": "string",
      "comment": "string"
    }
  ]
}
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| body | body | [AddDomainsRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/adddomainsrequest.md) | true | none |
| » domainAndComments | body | \[[DomainAndComment](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/domainandcomment.md)\] | false | none |
| »» domain | body | string | false | none |
| »» comment | body | string | false | none |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK | None |
| 400 | [Bad Request](https://tools.ietf.org/html/rfc7231#section-6.5.1) | Bad Request | [ErrorResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/errorresponse.md) |
| 401 | [Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1) | Unauthorized | None |
| 429 | [Too Many Requests](https://tools.ietf.org/html/rfc6585#section-4) | Too Many Requests | None |
| 500 | [Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1) | Internal Server Error | [ErrorResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/errorresponse.md) |

```json
{
  "errorDetails": {
    "property1": [
      {
        "errorCode": "string",
        "message": "string",
        "params": {
          "property1": {},
          "property2": {}
        }
      }
    ],
    "property2": [
      {
        "errorCode": "string",
        "message": "string",
        "params": {
          "property1": {},
          "property2": {}
        }
      }
    ]
  },
  "errorMessage": "string",
  "statusError": "string"
}
```

## Response Schema

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [Remove a list of domains from Cyber Shield Block List.](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/cyber-shield-domain-filtering/remove-a-list-of-domains-from-cyber-shield-block-list.md)
Next: [Remove a list of domains from Cyber Shield Allow List.](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/cyber-shield-domain-filtering/remove-a-list-of-domains-from-cyber-shield-allow-list.md)
Index: https://openvpn.net/cloud-docs/llms.txt
